cdac.medinfo.sdk.hl7282.baselibs.segments

## Class PEO

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.PEO

- All Implemented Interfaces:
    ISegment

      public class PEO
      extends Segment

  PEO - Product Experience Observation Segment.

  Details related to a particular clinical experience or event are embodied in the PEO segment. This segment can be used to characterize an event which might be attributed to a product to which the patient was exposed.

  Represents an HL7 PEO message segment. This segment has the following fields:

  PEO-1: Event Identifiers Used (CWE)Optional
  PEO-2: Event Symptom/Diagnosis Code (CWE)Optional
  PEO-3: Event Onset Date/Time (DTM)Required
  PEO-4: Event Exacerbation Date/Time (DTM)Optional
  PEO-5: Event Improved Date/Time (DTM)Optional
  PEO-6: Event Ended Data/Time (DTM)Optional
  PEO-7: Event Location Occurred Address (XAD)Optional
  PEO-8: Event Qualification (ID)Optional
  PEO-9: Event Serious (ID)Optional
  PEO-10: Event Expected (ID)Optional
  PEO-11: Event Outcome (ID)Optional
  PEO-12: Patient Outcome (ID)Optional
  PEO-13: Event Description From Others (FT)Optional
  PEO-14: Event From Original Reporter (FT)Optional
  PEO-15: Event Description From Patient (FT)Optional
  PEO-16: Event Description From Practitioner (FT)Optional
  PEO-17: Event Description From Autopsy (FT)Optional
  PEO-18: Cause Of Death (CWE)Optional
  PEO-19: Primary Observer Name (XPN)Optional
  PEO-20: Primary Observer Address (XAD)Optional
  PEO-21: Primary Observer Telephone (XTN)Optional
  PEO-22: Primary Observer's Qualification (ID)Optional
  PEO-23: Confirmation Provided By (ID)Optional
  PEO-24: Primary Observer Aware Date/Time (DTM)Optional
  PEO-25: Primary Observer's identity May Be Divulged (ID)Optional

  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PEO()` Constructs the PEO segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCauseOfDeath(CWE objcauseOfDeath)` Add the Cause Of Death.
    `void` | `addCauseOfDeath(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Cause Of Death.
    `void` | `addEventDescriptionFromAutopsy(FT objEventDescriptionFromAutopsy)` Add the Event Description From Autopsy.
    `void` | `addEventDescriptionFromAutopsy(java.lang.String strEventDescriptionFromAutopsy)` Add the Event Description From Autopsy.
    `void` | `addEventDescriptionFromOthers(FT objeventDescriptionFromOthers)` Add the Event Description From Others.
    `void` | `addEventDescriptionFromOthers(java.lang.String strEventDescriptionFromAutopsy)` Add the Event Description From Others.
    `void` | `addEventDescriptionFromPatient(FT eventDescriptionFromPatient)` Add the Event Description From Patient.
    `void` | `addEventDescriptionFromPatient(java.lang.String strEventDescriptionFromPatient)` Add the Event Description From Patient.
    `void` | `addEventDescriptionFromPractitioner(FT objeventDescriptionFromPractitioner)` Add the Event Description From Practitioner.
    `void` | `addEventDescriptionFromPractitioner(java.lang.String strEventDescriptionFromPractitioner)` Add the Event Description From Practitioner.
    `void` | `addEventFromOriginalReporter(FT eventFromOriginalReporter)` Add the Event From Original Reporter.
    `void` | `addEventFromOriginalReporter(java.lang.String strEventFromOriginalReporter)` Add the Event From Original Reporter.
    `void` | `addEventIdentifiersUsed(CWE objeventIdentifiersUsed)` Add the Event Identifiers Used.
    `void` | `addEventIdentifiersUsed(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Event Identifiers Used.
    `void` | `addEventLocationOccurredAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Event Location Occurred Address.
    `void` | `addEventLocationOccurredAddress(XAD objeventLocationOccurredAddress)` Add the Event Location Occurred Address.
    `void` | `addEventOutcome(ID objeventOutcome)` Add the Event Outcome.
    `void` | `addEventOutcome(java.lang.String strEventOutcome)` Add the Event Outcome.
    `void` | `addEventQualification(ID objeventQualification)` Add the Event Qualification.
    `void` | `addEventQualification(java.lang.String strEventQualification)` Add the Event Qualification.
    `void` | `addEventSymptomDiagnosisCode(CWE objeventSymptomDiagnosisCode)` Add the Event Symptom Diagnosis Code.
    `void` | `addEventSymptomDiagnosisCode(java.lang.String strIdentifier, java.lang.String strText, java.lang.String strNameOfCodingSystem, java.lang.String strAlternateIdentifier, java.lang.String strAlternateText, java.lang.String strNameOfAlternateCodingSystem, java.lang.String strCodingSystemVersionID, java.lang.String strAlternateCodingSystemVersionId, java.lang.String strOriginalText, java.lang.String strSecondAlternateIdentifier, java.lang.String strSecondAlternateText, java.lang.String strNameofSecondAlternateCodingSystem, java.lang.String strSecondAlternateCodingSystemVersionID, java.lang.String strCodingSystemOID, java.lang.String strValueSetOID, java.lang.String strValueSetVersionID, java.lang.String strAlternateCodingSystemOID, java.lang.String strAlternateValueSetOID, java.lang.String strAlternateValueSetVersionID, java.lang.String strSecondAlternateCodingSystemOID, java.lang.String strSecondAlternateValueSetOID, java.lang.String strSecondAlternateValueSetVersionID)` Add the Event Symptom Diagnosis Code.
    `void` | `addPrimaryObserverAddress(SAD objStreetAddress, java.lang.String strOtherDesignation, java.lang.String strCity, java.lang.String strStateOrProvince, java.lang.String strZipOrPostalCode, java.lang.String strCountry, java.lang.String strAddressType, java.lang.String strOtherGeographicDesignation, CWE objCountyParishCode, CWE objCensusTract, java.lang.String strAddressRepresentationCode, DTM objEffectiveDate, DTM objExpirationDate, CWE objEXpirationReason, java.lang.String strTemporaryIndicator, java.lang.String strBadAddressIndicator, java.lang.String strAddressUsage, java.lang.String strAddressee, java.lang.String strComment, java.lang.String strPreferenceOrder, CWE objProtectionCode, EI objAddressIdentifier)` Add the Primary Observer Address.
    `void` | `addPrimaryObserverAddress(XAD objprimaryObserverAddress)` Add the Primary Observer Address.
    `void` | `addPrimaryObserverName(FN objFamilyName, java.lang.String strGivenName, java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof, java.lang.String strSuffix, java.lang.String strPrefix, java.lang.String strNameTypeCode, java.lang.String strNameRepresentationCode, CWE objNameContext, java.lang.String strNameAssemblyOrder, DTM objEffectiveDate, DTM objExpirationDate, java.lang.String strProfessionalSuffix, java.lang.String strCalledBy)` Add the Primary Observer Name.
    `void` | `addPrimaryObserverName(XPN objprimaryObserverName)` Add the Primary Observer Name.
    `void` | `addPrimaryObserverTelephone(java.lang.String strTeleCommunicationUseCode, java.lang.String strTeleCommunicationEquipmentType, java.lang.String strCommuinicationAddress, java.lang.String strCountryCode, java.lang.String strAreaCityCode, java.lang.String strLocalNumber, java.lang.String strExtension, java.lang.String strAnyText, java.lang.String strExtensionPrefix, java.lang.String strSpeedDialCode, java.lang.String strUnformattedTelephoneNumber, java.lang.String strEffectiveStartDate, java.lang.String strExpirationDate, CWE objExpirationReason, CWE objProtectionCode, EI objSharedTelecommunicationIdentifier, java.lang.String strPreferenceOrder)` Add the Primary Observer Telephone.
    `void` | `addPrimaryObserverTelephone(XTN objprimaryObserverTelephone)` Add the Primary Observer Telephone.
    `ISingleCollection<CWE>` | `getCauseOfDeath()` Retrieves the Cause Of Death.
    `ID` | `getConfirmationProvidedBy()` Retrieves the Confirmation Provided By.
    `ISingleCollection<FT>` | `getEventDescriptionFromAutopsy()` Retrieves the Event Description From Autopsy.
    `ISingleCollection<FT>` | `getEventDescriptionFromOthers()` Retrieves the Event Description From Others.
    `ISingleCollection<FT>` | `getEventDescriptionFromPatient()` Retrieves the Event Description From Patient.
    `ISingleCollection<FT>` | `getEventDescriptionFromPractitioner()` Retrieves the Event Description From Practitioner.
    `DTM` | `getEventEndedDateTime()` Retrieves the Event Ended Date Time.
    `DTM` | `getEventExacerbationDateTime()` Retrieves the Event Exacerbation Date Time.
    `ID` | `getEventExpected()` Retrieves the Event Expected.
    `ISingleCollection<FT>` | `getEventFromOriginalReporter()` Retrieves the Event From Original Reporter.
    `ISingleCollection<CWE>` | `getEventIdentifiersUsed()` Retrieves the Event Identifiers Used.
    `DTM` | `getEventImprovedDateTime()` Retrieves the Event Improved Date Time.
    `ISingleCollection<XAD>` | `getEventLocationOccurredAddress()` Retrieves the Event Location Occurred Address.
    `DTM` | `getEventOnsetDateTime()` Retrieves the Event Onset Date Time.
    `ISingleCollection<ID>` | `getEventOutcome()` Retrieves the Event Outcome.
    `ISingleCollection<ID>` | `getEventQualification()` Retrieves the Event Qualification.
    `ID` | `getEventSerious()` Retrieves the Event Serious.
    `ISingleCollection<CWE>` | `getEventSymptomDiagnosisCode()` Retrieves the Event Symptom Diagnosis Code.
    `ID` | `getPatientOutcome()` Retrieves the Patient Outcome.
    `ISingleCollection<XAD>` | `getPrimaryObserverAddress()` Retrieves the Primary Observer Address.
    `DTM` | `getPrimaryObserverAwareDateTime()` Retrieves the Primary Observer Aware Date Time.
    `ID` | `getPrimaryObserverIdentity()` Retrieves the Primary Observer Identity.
    `ISingleCollection<XPN>` | `getPrimaryObserverName()` Retrieves the Primary Observer Name.
    `ID` | `getPrimaryObserverQualification()` Retrieves the Primary Observer Qualification.
    `ISingleCollection<XTN>` | `getPrimaryObserverTelephone()` Retrieves the Primary Observer Telephone.
    `void` | `setCauseOfDeath(ISingleCollection<CWE> objcauseOfDeathList)` Set the Cause Of Death.
    `void` | `setConfirmationProvidedBy(ID objconfirmationProvidedBy)` Sets the Confirmation Provided By.
    `void` | `setConfirmationProvidedBy(java.lang.String strConfirmationProvidedBy)` Sets the Confirmation Provided By.
    `void` | `setEventDescriptionFromAutopsy(ISingleCollection<FT> objEventDescriptionFromAutopsyList)` set the Event Description From Autopsy.
    `void` | `setEventDescriptionFromOthers(ISingleCollection<FT> objeventDescriptionFromOthersList)` Set the Event Description From Others.
    `void` | `setEventDescriptionFromPatient(ISingleCollection<FT> eventDescriptionFromPatientList)` set the Event Description From Patient.
    `void` | `setEventDescriptionFromPractitioner(ISingleCollection<FT> objeventDescriptionFromPractitioneList)` Set the Event Description From Practitioner.
    `void` | `setEventEndedDataTime(DTM objeventEndedDateTime)` Set the Event Ended Date Time.
    `void` | `setEventEndedDataTime(java.lang.String strTime)` Set the Event Ended Date Time.
    `void` | `setEventExacerbationDateTime(DTM objeventExacerbationDateTime)` Set the Event Exacerbation Date Time.
    `void` | `setEventExacerbationDateTime(java.lang.String strTime)` Set the Event Exacerbation Date Time.
    `void` | `setEventExpected(ID objeventExpected)` Set the Event Expected.
    `void` | `setEventExpected(java.lang.String strEventExpected)` Set the Event Expected.
    `void` | `setEventFromOriginalReporter(ISingleCollection<FT> eventFromOriginalReporterList)` Set the Event From Original Reporter.
    `void` | `setEventIdentifiersUsed(ISingleCollection<CWE> objeventIdentifiersUsedList)` Add the Event Identifiers Used.
    `void` | `setEventImprovedDateTime(DTM objeventImprovedDateTime)` Set the Event Improved Date Time.
    `void` | `setEventImprovedDateTime(java.lang.String strTime)` Set the Event Improved Date Time.
    `void` | `setEventLocationOccurredAddress(ISingleCollection<XAD> objeventLocationOccurredAddressList)` Set the Event Location Occurred Address.
    `void` | `setEventOnsetDateTime(DTM objeventOnsetDateTime)` Set the Event Onset Date Time.
    `void` | `setEventOnsetDateTime(java.lang.String strTime)` Set the Event Onset Date Time.
    `void` | `setEventOutcome(ISingleCollection<ID> objeventOutcomeList)` Set the Event Outcome.
    `void` | `setEventQualification(ISingleCollection<ID> objeventQualificationList)` Set the Event Qualification.
    `void` | `setEventSerious(ID objeventSerious)` Set the Event Serious.
    `void` | `setEventSerious(java.lang.String strEventSerious)` Set the Event Serious.
    `void` | `setEventSymptomDiagnosisCode(ISingleCollection<CWE> objeventSymptomDiagnosisCodeList)` Set the Event Symptom Diagnosis Code.
    `void` | `setPatientOutcome(ID objpatientOutcome)` Set the Patient Outcome.
    `void` | `setPatientOutcome(java.lang.String strPatientOutcome)` Set the Patient Outcome.
    `void` | `setPrimaryObserverAddress(ISingleCollection<XAD> objprimaryObserverAddressList)` Set the Primary Observer Address.
    `void` | `setPrimaryObserverAwareDateTime(DTM objprimaryObserverAwareDateTime)` Set the Primary Observer Aware Date Time.
    `void` | `setPrimaryObserverAwareDateTime(java.lang.String strTime)` Set the Primary Observer Aware Date Time.
    `void` | `setPrimaryObserverIdentityMayBeDivulged(ID objprimaryObserverIdentity)` Set the Primary Observer Identity.
    `void` | `setPrimaryObserverIdentityMayBeDivulged(java.lang.String strPrimaryObserverIdentity)` Set the Primary Observer Identity.
    `void` | `setPrimaryObserverName(ISingleCollection<XPN> objprimaryObserverNameList)` Set the Primary Observer Name.
    `void` | `setPrimaryObserverQualification(ID objprimaryObserverQualification)` Set the Primary Observer Qualification.
    `void` | `setPrimaryObserverQualification(java.lang.String strPrimaryObserverQualification)` Set the Primary Observer Qualification.
    `void` | `setPrimaryObserverTelephone(ISingleCollection<XTN> objprimaryObserverTelephoneList)` Set the Primary Observer Telephone.
    `boolean` | `validate()` Validates HL7 Message objects .

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PEO

          public PEO()

      Constructs the PEO segment.

  - ### Method Detail

    - #### getCauseOfDeath

          public ISingleCollection<CWE> getCauseOfDeath()

      Retrieves the Cause Of Death. This field identify the cause of death.
      Returns:
        ISingleCollection - causeOfDeath

    - #### getConfirmationProvidedBy

          public ID getConfirmationProvidedBy()

      Retrieves the Confirmation Provided By. This field contains the qualification of the health professional who confirmed the observation if the primary observer is not a health professional.
      Returns:
        ID - confirmationProvidedBy

    - #### getEventDescriptionFromAutopsy

          public ISingleCollection<FT> getEventDescriptionFromAutopsy()

      Retrieves the Event Description From Autopsy. This field contains a summary narrative text description of the autopsy results.
      Returns:
        ISingleCollection - eventDescriptionFromAutopsy

    - #### getEventDescriptionFromOthers

          public ISingleCollection<FT> getEventDescriptionFromOthers()

      Retrieves the Event Description From Others. This field contains a summary narrative text description of the event that occur written by the sender.
      Returns:
        ISingleCollection - eventDescriptionFromOthers

    - #### getEventDescriptionFromPatient

          public ISingleCollection<FT> getEventDescriptionFromPatient()

      Retrieves the Event Description From Patient. This field contains a summary narrative text description of the event obtained directly from the patient.
      Returns:
        ISingleCollection - eventDescriptionFromPatient

    - #### getEventDescriptionFromPractitioner

          public ISingleCollection<FT> getEventDescriptionFromPractitioner()

      Retrieves the Event Description From Practitioner. This field contains a summary narrative text description of the event provided by the practitioner most familiar with the event.
      Returns:
        ISingleCollection - eventDescriptionFromPractitioner

    - #### getEventEndedDateTime

          public DTM getEventEndedDateTime()

      Retrieves the Event Ended Date Time. This field identify the best estimate of the date/time the event resolved.
      Returns:
        DTM - eventEndedDateTime

    - #### getEventExacerbationDateTime

          public DTM getEventExacerbationDateTime()

      Retrieves the Event Exacerbation Date Time. This field identify the best estimate of the date/time the event is exacerbated.
      Returns:
        DTM - eventExacerbationDateTime

    - #### getEventExpected

          public ID getEventExpected()

      Retrieves the Event Expected. This field indicates whether the observed event is expected or unexpected as judged or not.
      Returns:
        ID - eventExpected

    - #### getEventFromOriginalReporter

          public ISingleCollection<FT> getEventFromOriginalReporter()

      Retrieves the Event From Original Reporter. This field contains a summary narrative text description of the event provided by the original reporter.
      Returns:
        ISingleCollection - eventFromOriginalReporter

    - #### getEventIdentifiersUsed

          public ISingleCollection<CWE> getEventIdentifiersUsed()

      Retrieves the Event Identifiers Used. This field use to transmit the event identifier use by other entities for this event.
      Returns:
        ISingleCollection - eventIdentifiersUsed

    - #### getEventImprovedDateTime

          public DTM getEventImprovedDateTime()

      Retrieves the Event Improved Date Time. This field identify the best estimate the improve date/time of the event.
      Returns:
        DTM - eventImprovedDateTime

    - #### getEventLocationOccurredAddress

          public ISingleCollection<XAD> getEventLocationOccurredAddress()

      Retrieves the Event Location Occurred Address. This field identify the location at which the event start.
      Returns:
        ISingleCollection - eventLocationOccurredAddress

    - #### getEventOnsetDateTime

          public DTM getEventOnsetDateTime()

      Retrieves the Event Onset Date Time. This field contains a report or best estimate of the date/time of onset of the event.
      Returns:
        DTM - eventOnsetDateTime

    - #### getEventOutcome

          public ISingleCollection<ID> getEventOutcome()

      Retrieves the Event Outcome. This field identify the consequence of the event on the patient.
      Returns:
        ISingleCollection - eventOutcome

    - #### getEventQualification

          public ISingleCollection<ID> getEventQualification()

      Retrieves the Event Qualification. This field contains a classification of the type of product experience this event is considered to represent.
      Returns:
        ISingleCollection - eventQualification

    - #### getEventSerious

          public ID getEventSerious()

      Retrieves the Event Serious. This field indicates whether the event is judged as serious or not.
      Returns:
        ID - eventSerious

    - #### getEventSymptomDiagnosisCode

          public ISingleCollection<CWE> getEventSymptomDiagnosisCode()

      Retrieves the Event Symptom Diagnosis Code. This field is the code diagnosis or problem description, which best describes the event.
      Returns:
        ISingleCollection - eventSymptomDiagnosisCode

    - #### getPatientOutcome

          public ID getPatientOutcome()

      Retrieves the Patient Outcome. This field represent the patient's overall outcome if that information is known.
      Returns:
        ID - patientOutcome

    - #### getPrimaryObserverAddress

          public ISingleCollection<XAD> getPrimaryObserverAddress()

      Retrieves the Primary Observer Address. This field identify the address of the person who initially described the event.
      Returns:
        ISingleCollection - primaryObserverAddress

    - #### getPrimaryObserverAwareDateTime

          public DTM getPrimaryObserverAwareDateTime()

      Retrieves the Primary Observer Aware Date Time. This field identify the date/time of the primary observer become aware of event.
      Returns:
        DTM - primaryObserverAwareDateTime

    - #### getPrimaryObserverIdentity

          public ID getPrimaryObserverIdentity()

      Retrieves the Primary Observer Identity. This field indicates whether the primary observer, if known to the sender, grants permission to disclose his or her identity to the product manufacturer for the purpose of further investigating the event or not.
      Returns:
        ID - primaryObserverIdentity

    - #### getPrimaryObserverName

          public ISingleCollection<XPN> getPrimaryObserverName()

      Retrieves the Primary Observer Name. This field identify the name of the person who initially describe the event.
      Returns:
        ISingleCollection - primaryObserverName

    - #### getPrimaryObserverQualification

          public ID getPrimaryObserverQualification()

      Retrieves the Primary Observer Qualification. This field contains the qualification of the primary observer which may assist in assessing the validity of the observations.
      Returns:
        ID - primaryObserverQualification

    - #### getPrimaryObserverTelephone

          public ISingleCollection<XTN> getPrimaryObserverTelephone()

      Retrieves the Primary Observer Telephone. This field identify the telephone number of the person who initially described the event.
      Returns:
        ISingleCollection - primaryObserverTelephone

    - #### addCauseOfDeath

          public void addCauseOfDeath(java.lang.String strIdentifier,
                             java.lang.String strText,
                             java.lang.String strNameOfCodingSystem,
                             java.lang.String strAlternateIdentifier,
                             java.lang.String strAlternateText,
                             java.lang.String strNameOfAlternateCodingSystem,
                             java.lang.String strCodingSystemVersionID,
                             java.lang.String strAlternateCodingSystemVersionId,
                             java.lang.String strOriginalText,
                             java.lang.String strSecondAlternateIdentifier,
                             java.lang.String strSecondAlternateText,
                             java.lang.String strNameofSecondAlternateCodingSystem,
                             java.lang.String strSecondAlternateCodingSystemVersionID,
                             java.lang.String strCodingSystemOID,
                             java.lang.String strValueSetOID,
                             java.lang.String strValueSetVersionID,
                             java.lang.String strAlternateCodingSystemOID,
                             java.lang.String strAlternateValueSetOID,
                             java.lang.String strAlternateValueSetVersionID,
                             java.lang.String strSecondAlternateCodingSystemOID,
                             java.lang.String strSecondAlternateValueSetOID,
                             java.lang.String strSecondAlternateValueSetVersionID)

      Add the Cause Of Death. This field identify the cause of death.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addCauseOfDeath

          public void addCauseOfDeath(CWE objcauseOfDeath)

      Add the Cause Of Death. This field identify the cause of death.
      Parameters:
        `objcauseOfDeath` - Object of Cause Of Death.

    - #### setCauseOfDeath

          public void setCauseOfDeath(ISingleCollection<CWE> objcauseOfDeathList)

      Set the Cause Of Death. This field identify the cause of death.
      Parameters:
        `objcauseOfDeathList` - List of Cause Of Death.

    - #### setConfirmationProvidedBy

          public void setConfirmationProvidedBy(java.lang.String strConfirmationProvidedBy)

      Sets the Confirmation Provided By. This field contains the qualification of the health professional who confirmed the observation if the primary observer is not a health professional.
      Parameters:
        `strConfirmationProvidedBy` - This field contains the String Value of Confirmation Provided By

    - #### setConfirmationProvidedBy

          public void setConfirmationProvidedBy(ID objconfirmationProvidedBy)

      Sets the Confirmation Provided By. This field contains the qualification of the health professional who confirmed the observation if the primary observer is not a health professional.
      Parameters:
        `objconfirmationProvidedBy` - Object of Confirmation Provided By.

    - #### addEventDescriptionFromAutopsy

          public void addEventDescriptionFromAutopsy(java.lang.String strEventDescriptionFromAutopsy)

      Add the Event Description From Autopsy. This field contains a summary narrative text description of the autopsy results.
      Parameters:
        `strEventDescriptionFromAutopsy` - This field contains the String Value of Event Description From Autopsy

    - #### addEventDescriptionFromAutopsy

          public void addEventDescriptionFromAutopsy(FT objEventDescriptionFromAutopsy)

      Add the Event Description From Autopsy. This field contains a summary narrative text description of the autopsy results.
      Parameters:
        `objEventDescriptionFromAutopsy` - Object of Event Description From Autopsy.

    - #### setEventDescriptionFromAutopsy

          public void setEventDescriptionFromAutopsy(ISingleCollection<FT> objEventDescriptionFromAutopsyList)

      set the Event Description From Autopsy. This field contains a summary narrative text description of the autopsy results.
      Parameters:
        `objEventDescriptionFromAutopsyList` - List of Event Description From Autopsy.

    - #### addEventDescriptionFromOthers

          public void addEventDescriptionFromOthers(java.lang.String strEventDescriptionFromAutopsy)

      Add the Event Description From Others. This field contains a summary narrative text description of the event that occur written by the sender.
      Parameters:
        `strEventDescriptionFromAutopsy` - This field contains the String Value of Event Description From Others

    - #### addEventDescriptionFromOthers

          public void addEventDescriptionFromOthers(FT objeventDescriptionFromOthers)

      Add the Event Description From Others. This field contains a summary narrative text description of the event that occur written by the sender.
      Parameters:
        `objeventDescriptionFromOthers` - Object of Event Description From Others.

    - #### setEventDescriptionFromOthers

          public void setEventDescriptionFromOthers(ISingleCollection<FT> objeventDescriptionFromOthersList)

      Set the Event Description From Others. This field contains a summary narrative text description of the event that occur written by the sender.
      Parameters:
        `objeventDescriptionFromOthersList` - List of Event Description From Others.

    - #### addEventDescriptionFromPatient

          public void addEventDescriptionFromPatient(java.lang.String strEventDescriptionFromPatient)

      Add the Event Description From Patient. This field contains a summary narrative text description of the event obtained directly from the patient.
      Parameters:
        `strEventDescriptionFromPatient` - This field contains the String Value of Event Description From Patient

    - #### addEventDescriptionFromPatient

          public void addEventDescriptionFromPatient(FT eventDescriptionFromPatient)

      Add the Event Description From Patient. This field contains a summary narrative text description of the event obtained directly from the patient.
      Parameters:
        `eventDescriptionFromPatient` - Object of Event Description From Patient.

    - #### setEventDescriptionFromPatient

          public void setEventDescriptionFromPatient(ISingleCollection<FT> eventDescriptionFromPatientList)

      set the Event Description From Patient. This field contains a summary narrative text description of the event obtained directly from the patient.
      Parameters:
        `eventDescriptionFromPatientList` - List of Event Description From Patient.

    - #### addEventDescriptionFromPractitioner

          public void addEventDescriptionFromPractitioner(java.lang.String strEventDescriptionFromPractitioner)

      Add the Event Description From Practitioner. This field contains a summary narrative text description of the event provided by the practitioner most familiar with the event.
      Parameters:
        `strEventDescriptionFromPractitioner` - This field contains the String Value of Event Description From Practitioner

    - #### addEventDescriptionFromPractitioner

          public void addEventDescriptionFromPractitioner(FT objeventDescriptionFromPractitioner)

      Add the Event Description From Practitioner. This field contains a summary narrative text description of the event provided by the practitioner most familiar with the event.
      Parameters:
        `objeventDescriptionFromPractitioner` - Object of Event Description From Practitioner.

    - #### setEventDescriptionFromPractitioner

          public void setEventDescriptionFromPractitioner(ISingleCollection<FT> objeventDescriptionFromPractitioneList)

      Set the Event Description From Practitioner. This field contains a summary narrative text description of the event provided by the practitioner most familiar with the event.
      Parameters:
        `objeventDescriptionFromPractitioneList` - List of Event Description From Practitioner.

    - #### setEventEndedDataTime

          public void setEventEndedDataTime(java.lang.String strTime)

      Set the Event Ended Date Time. This field identify the best estimate of the date/time the event resolved.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventEndedDataTime

          public void setEventEndedDataTime(DTM objeventEndedDateTime)

      Set the Event Ended Date Time. This field identify the best estimate of the date/time the event resolved.
      Parameters:
        `objeventEndedDateTime` - Object of Event Ended Date Time.

    - #### setEventExacerbationDateTime

          public void setEventExacerbationDateTime(java.lang.String strTime)

      Set the Event Exacerbation Date Time. This field identify the best estimate of the date/time the event is exacerbated.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventExacerbationDateTime

          public void setEventExacerbationDateTime(DTM objeventExacerbationDateTime)

      Set the Event Exacerbation Date Time. This field identify the best estimate of the date/time the event is exacerbated.
      Parameters:
        `objeventExacerbationDateTime` - Object of Event Exacerbation Date Time.

    - #### setEventExpected

          public void setEventExpected(java.lang.String strEventExpected)

      Set the Event Expected. This field indicates whether the observed event is expected or unexpected as judged or not.
      Parameters:
        `strEventExpected` - This field contains the String Value of Event Expected

    - #### setEventExpected

          public void setEventExpected(ID objeventExpected)

      Set the Event Expected. This field indicates whether the observed event is expected or unexpected as judged or not.
      Parameters:
        `objeventExpected` - Object of Event Expected.

    - #### addEventFromOriginalReporter

          public void addEventFromOriginalReporter(java.lang.String strEventFromOriginalReporter)

      Add the Event From Original Reporter. This field contains a summary narrative text description of the event provided by the original reporter.
      Parameters:
        `strEventFromOriginalReporter` - This field contains the String Value of Event From Original Reporter

    - #### addEventFromOriginalReporter

          public void addEventFromOriginalReporter(FT eventFromOriginalReporter)

      Add the Event From Original Reporter. This field contains a summary narrative text description of the event provided by the original reporter.
      Parameters:
        `eventFromOriginalReporter` - Object of Event From Original Reporter.

    - #### setEventFromOriginalReporter

          public void setEventFromOriginalReporter(ISingleCollection<FT> eventFromOriginalReporterList)

      Set the Event From Original Reporter. This field contains a summary narrative text description of the event provided by the original reporter.
      Parameters:
        `eventFromOriginalReporterList` - List of Event From Original Reporter.

    - #### addEventIdentifiersUsed

          public void addEventIdentifiersUsed(java.lang.String strIdentifier,
                                     java.lang.String strText,
                                     java.lang.String strNameOfCodingSystem,
                                     java.lang.String strAlternateIdentifier,
                                     java.lang.String strAlternateText,
                                     java.lang.String strNameOfAlternateCodingSystem,
                                     java.lang.String strCodingSystemVersionID,
                                     java.lang.String strAlternateCodingSystemVersionId,
                                     java.lang.String strOriginalText,
                                     java.lang.String strSecondAlternateIdentifier,
                                     java.lang.String strSecondAlternateText,
                                     java.lang.String strNameofSecondAlternateCodingSystem,
                                     java.lang.String strSecondAlternateCodingSystemVersionID,
                                     java.lang.String strCodingSystemOID,
                                     java.lang.String strValueSetOID,
                                     java.lang.String strValueSetVersionID,
                                     java.lang.String strAlternateCodingSystemOID,
                                     java.lang.String strAlternateValueSetOID,
                                     java.lang.String strAlternateValueSetVersionID,
                                     java.lang.String strSecondAlternateCodingSystemOID,
                                     java.lang.String strSecondAlternateValueSetOID,
                                     java.lang.String strSecondAlternateValueSetVersionID)

      Add the Event Identifiers Used. This field use to transmit the event identifier use by other entities for this event.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEventIdentifiersUsed

          public void addEventIdentifiersUsed(CWE objeventIdentifiersUsed)

      Add the Event Identifiers Used. This field use to transmit the event identifier use by other entities for this event.
      Parameters:
        `objeventIdentifiersUsed` - Object of Event Identifiers Used.

    - #### setEventIdentifiersUsed

          public void setEventIdentifiersUsed(ISingleCollection<CWE> objeventIdentifiersUsedList)

      Add the Event Identifiers Used. This field use to transmit the event identifier use by other entities for this event.
      Parameters:
        `objeventIdentifiersUsedList` - List of Event Identifiers Used.

    - #### setEventImprovedDateTime

          public void setEventImprovedDateTime(java.lang.String strTime)

      Set the Event Improved Date Time. This field identify the best estimate the improve date/time of the event.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventImprovedDateTime

          public void setEventImprovedDateTime(DTM objeventImprovedDateTime)

      Set the Event Improved Date Time. This field identify the best estimate the improve date/time of the event.
      Parameters:
        `objeventImprovedDateTime` - Object of Event Improved Date Time.

    - #### addEventLocationOccurredAddress

          public void addEventLocationOccurredAddress(SAD objStreetAddress,
                                             java.lang.String strOtherDesignation,
                                             java.lang.String strCity,
                                             java.lang.String strStateOrProvince,
                                             java.lang.String strZipOrPostalCode,
                                             java.lang.String strCountry,
                                             java.lang.String strAddressType,
                                             java.lang.String strOtherGeographicDesignation,
                                             CWE objCountyParishCode,
                                             CWE objCensusTract,
                                             java.lang.String strAddressRepresentationCode,
                                             DTM objEffectiveDate,
                                             DTM objExpirationDate,
                                             CWE objEXpirationReason,
                                             java.lang.String strTemporaryIndicator,
                                             java.lang.String strBadAddressIndicator,
                                             java.lang.String strAddressUsage,
                                             java.lang.String strAddressee,
                                             java.lang.String strComment,
                                             java.lang.String strPreferenceOrder,
                                             CWE objProtectionCode,
                                             EI objAddressIdentifier)

      Add the Event Location Occurred Address. This field identify the location at which the event start.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addEventLocationOccurredAddress

          public void addEventLocationOccurredAddress(XAD objeventLocationOccurredAddress)

      Add the Event Location Occurred Address. This field identify the location at which the event start.
      Parameters:
        `objeventLocationOccurredAddress` - Object of Event Location Occurred Address.

    - #### setEventLocationOccurredAddress

          public void setEventLocationOccurredAddress(ISingleCollection<XAD> objeventLocationOccurredAddressList)

      Set the Event Location Occurred Address. This field identify the location at which the event start.
      Parameters:
        `objeventLocationOccurredAddressList` - List of Event Location Occurred Address.

    - #### setEventOnsetDateTime

          public void setEventOnsetDateTime(java.lang.String strTime)

      Set the Event Onset Date Time. This field contains a report or best estimate of the date/time of onset of the event.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setEventOnsetDateTime

          public void setEventOnsetDateTime(DTM objeventOnsetDateTime)

      Set the Event Onset Date Time. This field contains a report or best estimate of the date/time of onset of the event.
      Parameters:
        `objeventOnsetDateTime` - Object of Event Onset Date Time.

    - #### addEventOutcome

          public void addEventOutcome(java.lang.String strEventOutcome)

      Add the Event Outcome. This field identify the consequence of the event on the patient.
      Parameters:
        `strEventOutcome` - This field contains the String Value of Event Outcome

    - #### addEventOutcome

          public void addEventOutcome(ID objeventOutcome)

      Add the Event Outcome. This field identify the consequence of the event on the patient.
      Parameters:
        `objeventOutcome` - Object of Event Outcome.

    - #### setEventOutcome

          public void setEventOutcome(ISingleCollection<ID> objeventOutcomeList)

      Set the Event Outcome. This field identify the consequence of the event on the patient.
      Parameters:
        `objeventOutcomeList` - List ofEvent Outcome.

    - #### addEventQualification

          public void addEventQualification(java.lang.String strEventQualification)

      Add the Event Qualification. This field contains a classification of the type of product experience this event is considered to represent.
      Parameters:
        `strEventQualification` - This field contains the String Value of Event Qualification

    - #### addEventQualification

          public void addEventQualification(ID objeventQualification)

      Add the Event Qualification. This field contains a classification of the type of product experience this event is considered to represent.
      Parameters:
        `objeventQualification` - Object of Event Qualification.

    - #### setEventQualification

          public void setEventQualification(ISingleCollection<ID> objeventQualificationList)

      Set the Event Qualification. This field contains a classification of the type of product experience this event is considered to represent.
      Parameters:
        `objeventQualificationList` - List of Event Qualification.

    - #### setEventSerious

          public void setEventSerious(java.lang.String strEventSerious)

      Set the Event Serious. This field indicates whether the event is judged as serious or not.
      Parameters:
        `strEventSerious` - This field contains the String Value of Event Serious

    - #### setEventSerious

          public void setEventSerious(ID objeventSerious)

      Set the Event Serious. This field indicates whether the event is judged as serious or not.
      Parameters:
        `objeventSerious` - Object of Event Serious.

    - #### addEventSymptomDiagnosisCode

          public void addEventSymptomDiagnosisCode(java.lang.String strIdentifier,
                                          java.lang.String strText,
                                          java.lang.String strNameOfCodingSystem,
                                          java.lang.String strAlternateIdentifier,
                                          java.lang.String strAlternateText,
                                          java.lang.String strNameOfAlternateCodingSystem,
                                          java.lang.String strCodingSystemVersionID,
                                          java.lang.String strAlternateCodingSystemVersionId,
                                          java.lang.String strOriginalText,
                                          java.lang.String strSecondAlternateIdentifier,
                                          java.lang.String strSecondAlternateText,
                                          java.lang.String strNameofSecondAlternateCodingSystem,
                                          java.lang.String strSecondAlternateCodingSystemVersionID,
                                          java.lang.String strCodingSystemOID,
                                          java.lang.String strValueSetOID,
                                          java.lang.String strValueSetVersionID,
                                          java.lang.String strAlternateCodingSystemOID,
                                          java.lang.String strAlternateValueSetOID,
                                          java.lang.String strAlternateValueSetVersionID,
                                          java.lang.String strSecondAlternateCodingSystemOID,
                                          java.lang.String strSecondAlternateValueSetOID,
                                          java.lang.String strSecondAlternateValueSetVersionID)

      Add the Event Symptom Diagnosis Code. This field is the code diagnosis or problem description, which best describes the event.
      Parameters:
        `strIdentifier` - Specifies of characters (the code) that uniquely identifies the item being referenced.
        `strText` - Specifies The descriptive or textual name of the identifier, e.g., myocardial infarction.
        `strNameOfCodingSystem` - Identifies the coding scheme being used in the identifier component.
        `strAlternateIdentifier` - Specifies an alternate sequence of characters (the code) that uniquely identifies the item being referenced.
        `strAlternateText` - Specifies the descriptive or textual name of the alternate identifier. See usage note in section introduction.
        `strNameOfAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strCodingSystemVersionID` - A sequence of characters that uniquely identifies a second alternate code.
        `strAlternateCodingSystemVersionId` - This component carries the version for the coding system identified by components 4-6.
        `strOriginalText` - The text as seen and/or selected by the user who entered the data.
        `strSecondAlternateIdentifier` - A sequence of characters that uniquely identifies a second alternate code.
        `strSecondAlternateText` - The descriptive or textual name of the alternate identifier.
        `strNameofSecondAlternateCodingSystem` - Identifies the coding scheme being used in the alternate identifier component.
        `strSecondAlternateCodingSystemVersionID` - This component carries the version for the coding system identified by components 10-12.
        `strCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.3.
        `strValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.1 is obtained.
        `strValueSetVersionID` - This component carries the version for the value set identified by CWE.15. The version is a date. The date is the date/time that the value set being used was published.
        `strAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.6.
        `strAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.4 is obtained.
        `strAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.18. The version is a date.
        `strSecondAlternateCodingSystemOID` - This component contains the ISO Object Identifier (OID) for the coding system or value set named in CWE.12.
        `strSecondAlternateValueSetOID` - This component contains the ISO Object Identifier (OID) to allow identification of the value set from which the value in CWE.10 is obtained.
        `strSecondAlternateValueSetVersionID` - This component carries the version for the value set identified by CWE.21. The version is a date.

    - #### addEventSymptomDiagnosisCode

          public void addEventSymptomDiagnosisCode(CWE objeventSymptomDiagnosisCode)

      Add the Event Symptom Diagnosis Code. This field is the code diagnosis or problem description, which best describes the event.
      Parameters:
        `objeventSymptomDiagnosisCode` - Object of Event Symptom Diagnosis Code.

    - #### setEventSymptomDiagnosisCode

          public void setEventSymptomDiagnosisCode(ISingleCollection<CWE> objeventSymptomDiagnosisCodeList)

      Set the Event Symptom Diagnosis Code. This field is the code diagnosis or problem description, which best describes the event.
      Parameters:
        `objeventSymptomDiagnosisCodeList` - List of Event Symptom Diagnosis Code.

    - #### setPatientOutcome

          public void setPatientOutcome(java.lang.String strPatientOutcome)

      Set the Patient Outcome. This field represent the patient's overall outcome if that information is known.
      Parameters:
        `strPatientOutcome` - This field contains the String Value of Patient Outcome

    - #### setPatientOutcome

          public void setPatientOutcome(ID objpatientOutcome)

      Set the Patient Outcome. This field represent the patient's overall outcome if that information is known.
      Parameters:
        `objpatientOutcome` - Object of Patient Outcome.

    - #### addPrimaryObserverAddress

          public void addPrimaryObserverAddress(SAD objStreetAddress,
                                       java.lang.String strOtherDesignation,
                                       java.lang.String strCity,
                                       java.lang.String strStateOrProvince,
                                       java.lang.String strZipOrPostalCode,
                                       java.lang.String strCountry,
                                       java.lang.String strAddressType,
                                       java.lang.String strOtherGeographicDesignation,
                                       CWE objCountyParishCode,
                                       CWE objCensusTract,
                                       java.lang.String strAddressRepresentationCode,
                                       DTM objEffectiveDate,
                                       DTM objExpirationDate,
                                       CWE objEXpirationReason,
                                       java.lang.String strTemporaryIndicator,
                                       java.lang.String strBadAddressIndicator,
                                       java.lang.String strAddressUsage,
                                       java.lang.String strAddressee,
                                       java.lang.String strComment,
                                       java.lang.String strPreferenceOrder,
                                       CWE objProtectionCode,
                                       EI objAddressIdentifier)

      Add the Primary Observer Address. This field identify the address of the person who initially described the event.
      Parameters:
        `objStreetAddress` - Specifies the street address.
        `strOtherDesignation` - Specifies the Second line of address.
        `strCity` - The city, or district or place where the addressee is located.
        `strStateOrProvince` - Specifies the state or province where the addressee is located.
        `strZipOrPostalCode` - Specifies the zip or postal code where the addressee is located.
        `strCountry` - Specifies the country where the addressee is located.
        `strAddressType` - Specifies the kind or type of address.
        `strOtherGeographicDesignation` - Specifies any other geographic designation.
        `objCountyParishCode` - Specifies a code that represents the county in which the specified address resides.
        `objCensusTract` - Specifies a code that represents the census tract in which the specified address resides.
        `strAddressRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objEffectiveDate` - It is The first date, if known, on which the address is valid and active.
        `objExpirationDate` - It is The last date, if known, on which the address is valid and active.
        `objExpirationReason` - indicates why this address was marked as ended.
        `strTemporaryIndicator` - indicates whether address is considered temporary .
        `strBadAddressIndicator` - indicates whether it is possible to contact the owning entity.
        `strAddressUsage` - indicates how the address is intended to be used.
        `strAddressee` - indicates the name of the person whose address is intended to be used.
        `strComment` - indicated descriptive information
        `strPreferenceOrder` - preference order
        `objProtectionCode` - indicates that an address need to be protected
        `objAdressIdentifier` - indicates a unique identifier for address

    - #### addPrimaryObserverAddress

          public void addPrimaryObserverAddress(XAD objprimaryObserverAddress)

      Add the Primary Observer Address. This field identify the address of the person who initially described the event.
      Parameters:
        `objprimaryObserverAddress` - Object of Primary Observer Address.

    - #### setPrimaryObserverAddress

          public void setPrimaryObserverAddress(ISingleCollection<XAD> objprimaryObserverAddressList)

      Set the Primary Observer Address. This field identify the address of the person who initially described the event.
      Parameters:
        `objprimaryObserverAddressList` - List of Primary Observer Address.

    - #### setPrimaryObserverAwareDateTime

          public void setPrimaryObserverAwareDateTime(java.lang.String strTime)

      Set the Primary Observer Aware Date Time. This field identify the date/time of the primary observer become aware of event.
      Parameters:
        `strTime` - Specifies a point in time using a 24-hour clock notation.

    - #### setPrimaryObserverAwareDateTime

          public void setPrimaryObserverAwareDateTime(DTM objprimaryObserverAwareDateTime)

      Set the Primary Observer Aware Date Time. This field identify the date/time of the primary observer become aware of event.
      Parameters:
        `objprimaryObserverAwareDateTime` - Object of Primary Observer Aware Date Time.

    - #### setPrimaryObserverIdentityMayBeDivulged

          public void setPrimaryObserverIdentityMayBeDivulged(java.lang.String strPrimaryObserverIdentity)

      Set the Primary Observer Identity. This field indicates whether the primary observer, if known to the sender, grants permission to disclose his or her identity to the product manufacturer for the purpose of further investigating the event or not.
      Parameters:
        `strPrimaryObserverIdentity` - This field contains the String Value of Primary Observer Identity May Be Divulged

    - #### setPrimaryObserverIdentityMayBeDivulged

          public void setPrimaryObserverIdentityMayBeDivulged(ID objprimaryObserverIdentity)

      Set the Primary Observer Identity. This field indicates whether the primary observer, if known to the sender, grants permission to disclose his or her identity to the product manufacturer for the purpose of further investigating the event or not.
      Parameters:
        `objprimaryObserverIdentity` - Object of Primary Observer Identity.

    - #### addPrimaryObserverName

          public void addPrimaryObserverName(FN objFamilyName,
                                    java.lang.String strGivenName,
                                    java.lang.String strSecondAndFurtherGivenNamesOrInitialsThereof,
                                    java.lang.String strSuffix,
                                    java.lang.String strPrefix,
                                    java.lang.String strNameTypeCode,
                                    java.lang.String strNameRepresentationCode,
                                    CWE objNameContext,
                                    java.lang.String strNameAssemblyOrder,
                                    DTM objEffectiveDate,
                                    DTM objExpirationDate,
                                    java.lang.String strProfessionalSuffix,
                                    java.lang.String strCalledBy)

      Add the Primary Observer Name. This field identify the name of the person who initially describe the event. name of the patient is reported first.
      Parameters:
        `objFamilyName` - Specifies the surname of a person.
        `strGivenName` - Specifies First name.
        `strSecondAndFurtherGivenNamesOrInitialsThereof` - Specifies multiple middle names that may be included by separating them with spaces.
        `strSuffix` - Used to specify a name suffix (e.g., Jr. or III).
        `strPrefix` - Used to specify a name prefix (e.g., Dr.).
        `strNameTypeCode` - Specifies a code that represents the type of name. Suggested values are A,B,C,D,I,L,M,N,P,R,S,T,U...[Refer table 0200.]
        `strNameRepresentationCode` - Specifies representations of the same name/address Suggested values are I,A,P [Refer table 0465]
        `objNameContext` - Designates the context in which a name is used. [Refer User-defined Table 0448 ]
        `strNameAssemblyOrder` - Specifies a code that represents the preferred display order of the components of this person name. Suggested values are G,F[Refer table 0444.]
        `objEffectiveDate` - Specifies the first date, if known, on which the address is valid and active.
        `objExpirationDate` - Specifies the last date, if known, on which the address is valid and active.
        `strProfessionalSuffix` - Used to specify an abbreviation, or a string of abbreviations, denoting qualifications that support the person's profession, (e.g., licenses).
        `strCalledBy` - Used to specify the called name.

    - #### addPrimaryObserverName

          public void addPrimaryObserverName(XPN objprimaryObserverName)

      Add the Primary Observer Name. This field identify the name of the person who initially describe the event.
      Parameters:
        `objprimaryObserverName` - Object of Primary Observer Name.

    - #### setPrimaryObserverName

          public void setPrimaryObserverName(ISingleCollection<XPN> objprimaryObserverNameList)

      Set the Primary Observer Name. This field identify the name of the person who initially describe the event.
      Parameters:
        `objprimaryObserverNameList` - List of Primary Observer Name.

    - #### setPrimaryObserverQualification

          public void setPrimaryObserverQualification(java.lang.String strPrimaryObserverQualification)

      Set the Primary Observer Qualification. This field contains the qualification of the primary observer which may assist in assessing the validity of the observations.
      Parameters:
        `strPrimaryObserverQualification` - This field contains the String Value of Primary Observer Qualification

    - #### setPrimaryObserverQualification

          public void setPrimaryObserverQualification(ID objprimaryObserverQualification)

      Set the Primary Observer Qualification. This field contains the qualification of the primary observer which may assist in assessing the validity of the observations.
      Parameters:
        `objprimaryObserverQualification` - Object of Primary Observer Qualification.

    - #### addPrimaryObserverTelephone

          public void addPrimaryObserverTelephone(java.lang.String strTeleCommunicationUseCode,
                                         java.lang.String strTeleCommunicationEquipmentType,
                                         java.lang.String strCommuinicationAddress,
                                         java.lang.String strCountryCode,
                                         java.lang.String strAreaCityCode,
                                         java.lang.String strLocalNumber,
                                         java.lang.String strExtension,
                                         java.lang.String strAnyText,
                                         java.lang.String strExtensionPrefix,
                                         java.lang.String strSpeedDialCode,
                                         java.lang.String strUnformattedTelephoneNumber,
                                         java.lang.String strEffectiveStartDate,
                                         java.lang.String strExpirationDate,
                                         CWE objExpirationReason,
                                         CWE objProtectionCode,
                                         EI objSharedTelecommunicationIdentifier,
                                         java.lang.String strPreferenceOrder)

      Add the Primary Observer Telephone. This field identify the telephone number of the person who initially described the event.
      Parameters:
        `strTeleCommunicationUseCode` - Specifies a code that represents a specific use of a telecommunication number. Suggested values are PRN,ORN,WPN,VHN,ASN,EMR,NET,BPN [Refer table 0201.]
        `strTeleCommunicationEquipmentType` - Specifies a code that represents the type of telecommunication equipment. Suggested values are PH,FX,MD,CP,BP,Internet,X.400,TDD,TTY [Refer table 0202.]
        `strCommuinicationAddress` - Specifies Email address.
        `strCountryCode` - Specifies the Country code.
        `strAreaCityCode` - Specifies the area /City Code.
        `strLocalNumber` - Specifies an Local Number.
        `strExtension` - Specifies an Extension.
        `strAnyText` - Contains comments with respect to the telephone number.
        `strExtensionPrefix` - Specifies the characters established within a company's internal telephone system network used as a prefix to the Extension component for internal dialing.
        `strSpeedDialCode` - Specifies The characters established within a company's internal telephone system used in place of the (external) telephone number.
        `strUnformattedTelephoneNumber` - Specifies an expression of the telephone number as an unparsible string.
        `strEffectiveStartDate` - Specifies start date.
        `strExpirationDate` - Specifies expiration date.
        `objExpirationReason` - Specifies reason why this contact is marked as ended.
        `objProtectionCode` - Specifies reason why this information is sensitive or protected.
        `objSharedTelecommunicationIdentifier` - Specifies a unique phone number phone telephone number or email-id.
        `strPreferenceOrder` - Specifies the preference order for an entity..

    - #### addPrimaryObserverTelephone

          public void addPrimaryObserverTelephone(XTN objprimaryObserverTelephone)

      Add the Primary Observer Telephone. This field identify the telephone number of the person who initially described the event.
      Parameters:
        `objprimaryObserverTelephone` - Object of Primary Observer Telephone.

    - #### setPrimaryObserverTelephone

          public void setPrimaryObserverTelephone(ISingleCollection<XTN> objprimaryObserverTelephoneList)

      Set the Primary Observer Telephone. This field identify the telephone number of the person who initially described the event.
      Parameters:
        `objprimaryObserverTelephoneList` - List of Primary Observer Telephone.

    - #### validate

          public boolean validate()
                           throws InvalidSegmentException

      Validates HL7 Message objects . Validate method checks for validation each and every segments in side the Message object against specified message Structure. Validation checks include optionality of segment or group. It also verifies the number of times segment or group is repeated in message. e.g {PSH} while parsing PSH segment validate method will check for its mandatory presence. [PSH] in this case validate will throw exception if one tries to enter more than one PSH segment.
      Specified by:
        `validate` in interface `ISegment`
      Overrides:
        `validate` in class `Segment`
      Returns:
        boolean - true or false.
      Throws:
        `InvalidSegmentException` - Throws when Segment Validation fails.